!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_771) = coupl(nGC_334)*dZee_QED2 + coupl(nGC_335)*dsw_QED2 +    &
                       coupl(nGC_336)*dcw_QED2
      coupl(nGC_777) = coupl(nGC_325)*dZee_QED2 + coupl(nGC_326)*dsw_QED2 +    &
                       coupl(nGC_327)*dcw_QED2
      coupl(nGC_775) = coupl(nGC_349)*dsw_QED2 + coupl(nGC_350)*dMW2_QED2 +    &
                       coupl(nGC_351)*dZee_QED2
      coupl(nGC_779) = coupl(nGC_358)*dZee_QED2 + coupl(nGC_359)*dsw_QED2 +    &
                       coupl(nGC_360)*dMZ2_QED2
      coupl(nGC_1088) = coupl(nGC_887) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl(  &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_560) = (coupl(nGC_160)*coupl(nGC_41)*coupl(nGC_69) + coupl(    &
                       nGC_184)*coupl(nGC_23)*coupl(nGC_70) + coupl(nGC_21)*   &
                       coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(32d0*pi**2d0&
                       )
      coupl(nGC_1186) = coupl(nGC_896) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_720) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +   &
                       80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(    &
                       nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56  &
                       )**2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59)**&
                       2d0 + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*    &
                       coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl(  &
                       nGC_60)**2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(   &
                       nGC_63)**2d0 + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63  &
                       )**2d0*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0* &
                       coupl(nGC_64)**2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*   &
                       coupl(nGC_75)**2d0 + 80d0*Nc*cima*coupl(nGC_74)*coupl(  &
                       nGC_75)**2d0*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_75  &
                       )**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima*coupl(nGC_78)**&
                       2d0*coupl(nGC_79)**2d0 + 80d0*Nc*cima*coupl(nGC_78)*    &
                       coupl(nGC_79)**2d0*coupl(nGC_80) + 20d0*Nc*cima*coupl(  &
                       nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(   &
                       nGC_86)**2d0*coupl(nGC_87)**2d0 + 80d0*Nc*cima*coupl(   &
                       nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + 20d0*Nc*cima*&
                       coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 + 12d0*cima*coupl(&
                       nGC_17)**2d0 - 5d0*cima*coupl(nGC_170)**2d0*coupl(      &
                       nGC_184)**2d0 - 20d0*cima*coupl(nGC_170)*coupl(nGC_184)*&
                       coupl(nGC_21)*coupl(nGC_22) - 5d0*cima*coupl(nGC_174)** &
                       2d0*coupl(nGC_184)**2d0 - 20d0*cima*coupl(nGC_174)*coupl&
                       (nGC_184)*coupl(nGC_20)*coupl(nGC_22) - 10d0*cima*coupl(&
                       nGC_182)**2d0*coupl(nGC_37)**2d0 - 5d0*cima*coupl(nGC_20&
                       )**2d0*coupl(nGC_22)**2d0 - 5d0*cima*coupl(nGC_21)**2d0*&
                       coupl(nGC_22)**2d0 + 6d0*cima*coupl(nGC_46)**2d0 + 20d0*&
                       cima*coupl(nGC_66)**2d0*coupl(nGC_67)**2d0 + 80d0*cima* &
                       coupl(nGC_66)*coupl(nGC_67)**2d0*coupl(nGC_68) + 20d0*  &
                       cima*coupl(nGC_67)**2d0*coupl(nGC_68)**2d0 + 20d0*cima* &
                       coupl(nGC_70)**2d0*coupl(nGC_71)**2d0 + 80d0*cima*coupl(&
                       nGC_70)*coupl(nGC_71)**2d0*coupl(nGC_72) + 20d0*cima*   &
                       coupl(nGC_71)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(&
                       nGC_82)**2d0*coupl(nGC_83)**2d0 + 80d0*cima*coupl(nGC_82&
                       )*coupl(nGC_83)**2d0*coupl(nGC_84) + 20d0*cima*coupl(   &
                       nGC_83)**2d0*coupl(nGC_84)**2d0 + 3d0*coupl(nGC_13)*    &
                       coupl(nGC_170)*coupl(nGC_21) + 3d0*coupl(nGC_13)*coupl( &
                       nGC_174)*coupl(nGC_20) + 6d0*coupl(nGC_13)*coupl(nGC_182&
                       )**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_184)*coupl(nGC_22  &
                       ) + 6d0*coupl(nGC_13)*coupl(nGC_37)**2d0 + 6d0*coupl(   &
                       nGC_15)*coupl(nGC_182)*coupl(nGC_37) - 3d0*coupl(nGC_17 &
                       )*coupl(nGC_170)*coupl(nGC_21) - 3d0*coupl(nGC_17)*coupl&
                       (nGC_174)*coupl(nGC_20) - 6d0*coupl(nGC_17)*coupl(      &
                       nGC_184)*coupl(nGC_22) - 6d0*coupl(nGC_182)*coupl(nGC_37&
                       )*coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_1012) = coupl(nGC_860) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(  &
                        nGC_88)*dZuR_QED2/2d0
      coupl(nGC_1013) = coupl(nGC_861) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(  &
                        nGC_88)*dZuR_QCD2/2d0
      coupl(nGC_1010) = coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_47)*       &
                        dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/2d0 + coupl(    &
                        nGC_801)
      coupl(nGC_1011) = coupl(nGC_782) + coupl(nGC_HHGG)
      coupl(nGC_1016) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_7)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0 + coupl( &
                        nGC_802)
      coupl(nGC_1017) = coupl(nGC_783) + coupl(nGC_GPGMGPGM)
      coupl(nGC_1018) = coupl(nGC_81)*dZnu_tauL_QED2/2d0 + coupl(nGC_81)*      &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_848)
      coupl(nGC_1019) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_1124) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtL_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_561) = (-coupl(nGC_160)*coupl(nGC_36)*coupl(nGC_81) - coupl(   &
                       nGC_164)*coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_174)*   &
                       coupl(nGC_23)*coupl(nGC_83) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(  &
                       32d0*pi**2d0)
      coupl(nGC_917) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +    &
                       coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_915) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +    &
                       coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_913) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +    &
                       coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_912) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_794)
      coupl(nGC_911) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*             &
                       dZmuMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(   &
                       nGC_815)
      coupl(nGC_910) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0 &
                        + coupl(nGC_40)*dZmuMinusL_QED2 + coupl(nGC_798)
      coupl(nGC_1188) = coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(nGC_74)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_833)
      coupl(nGC_722) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl(  &
                       nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0*Nc&
                       *cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79)** &
                       4d0 + 20d0*Nc*cima*coupl(nGC_87)**4d0 + 6d0*cima*coupl( &
                       nGC_17)**2d0 - 5d0*cima*coupl(nGC_170)**2d0*coupl(nGC_21&
                       )**2d0 - 5d0*cima*coupl(nGC_174)**2d0*coupl(nGC_20)**2d0&
                        - 5d0*cima*coupl(nGC_182)**2d0*coupl(nGC_37)**2d0 + 3d0&
                       *cima*coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_67)**4d0 &
                        + 20d0*cima*coupl(nGC_71)**4d0 + 20d0*cima*coupl(nGC_83&
                       )**4d0 + 3d0*coupl(nGC_13)*coupl(nGC_170)*coupl(nGC_21  &
                       ) + 3d0*coupl(nGC_13)*coupl(nGC_174)*coupl(nGC_20) + 3d0&
                       *coupl(nGC_13)*coupl(nGC_182)*coupl(nGC_37) - 3d0*coupl(&
                       nGC_17)*coupl(nGC_170)*coupl(nGC_21) - 3d0*coupl(nGC_17 &
                       )*coupl(nGC_174)*coupl(nGC_20) - 3d0*coupl(nGC_182)*    &
                       coupl(nGC_37)*coupl(nGC_46))/(16d0*pi**2d0)
      coupl(nGC_919) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +    &
                       coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_1189) = coupl(nGC_76)*dZsL_QED2/2d0 + coupl(nGC_76)*dZsR_QED2/ &
                        2d0 + coupl(nGC_834)
      coupl(nGC_858) = coupl(nGC_439)*dyup_QED3
      coupl(nGC_859) = coupl(nGC_439)*dyup_QED1_QCD2
      coupl(nGC_856) = coupl(nGC_430)*dym_QED3
      coupl(nGC_857) = coupl(nGC_436)*dytau_QED3
      coupl(nGC_854) = coupl(nGC_438)*dytau_QED3
      coupl(nGC_855) = coupl(nGC_426)*dye_QED3
      coupl(nGC_853) = coupl(nGC_440)*dytau_QED3
      coupl(nGC_850) = coupl(nGC_425)*dye_QED3
      coupl(nGC_698) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_34) + 6d0*Nc*  &
                       cima*coupl(nGC_1)**3d0*coupl(nGC_38) + 6d0*Nc*cima*coupl&
                       (nGC_2)**3d0*coupl(nGC_35) + 6d0*Nc*cima*coupl(nGC_2)** &
                       3d0*coupl(nGC_39) - 20d0*cima*coupl(nGC_158)**3d0*coupl(&
                       nGC_168) + 6d0*cima*coupl(nGC_172)*coupl(nGC_29) - 20d0*&
                       cima*coupl(nGC_25)*coupl(nGC_3)**3d0 + 6d0*cima*coupl(  &
                       nGC_36)*coupl(nGC_4)**3d0 + 6d0*cima*coupl(nGC_4)**3d0* &
                       coupl(nGC_40) + 3d0*coupl(nGC_158)**2d0*coupl(nGC_162   &
                       ) + 9d0*coupl(nGC_158)**2d0*coupl(nGC_29) + 9d0*coupl(  &
                       nGC_158)*coupl(nGC_168)*coupl(nGC_172) + 3d0*coupl(     &
                       nGC_158)*coupl(nGC_168)*coupl(nGC_5) + 3d0*coupl(nGC_162&
                       )*coupl(nGC_3)**2d0 + 9d0*coupl(nGC_172)*coupl(nGC_25)* &
                       coupl(nGC_3) + 3d0*coupl(nGC_25)*coupl(nGC_3)*coupl(    &
                       nGC_5) + 9d0*coupl(nGC_29)*coupl(nGC_3)**2d0)/(48d0*pi**&
                       2d0)
      coupl(nGC_1064) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/  &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_766)
      coupl(nGC_1063) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_1062) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1061) = coupl(nGC_885) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl(  &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1060) = coupl(nGC_884) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl(  &
                        nGC_MC)*dZcR_QED2/2d0
      coupl(nGC_1069) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_790)
      coupl(nGC_1068) = coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(nGC_73)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_823)
      coupl(nGC_539) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_160)*coupl&
                       (nGC_35)*coupl(nGC_57) + coupl(nGC_164)*coupl(nGC_2)*   &
                       coupl(nGC_57) + coupl(nGC_184)*coupl(nGC_23)*coupl(     &
                       nGC_60) + coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_59) +   &
                       8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(  &
                       nGC_38)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*    &
                       coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73&
                       )*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_538) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_531) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(&
                       nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl(&
                       nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0  &
                        - 4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*    &
                       coupl(nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*&
                       coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77  &
                       )**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0* &
                       Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(&
                       nGC_73)**2d0 + coupl(nGC_160)**2d0*coupl(nGC_40) + coupl&
                       (nGC_164)**2d0*coupl(nGC_40) + coupl(nGC_170)*coupl(    &
                       nGC_182)*coupl(nGC_184) - 6d0*coupl(nGC_174)*coupl(     &
                       nGC_20)*coupl(nGC_25) - 6d0*coupl(nGC_184)*coupl(nGC_22 &
                       )*coupl(nGC_25) + coupl(nGC_21)*coupl(nGC_22)*coupl(    &
                       nGC_37) + 4d0*coupl(nGC_36)*coupl(nGC_65)**2d0 + 4d0*   &
                       coupl(nGC_36)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_36)*   &
                       coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_65)**  &
                       2d0 - 4d0*coupl(nGC_41)*coupl(nGC_69)**2d0 - 4d0*coupl( &
                       nGC_41)*coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_530) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*  &
                       cMB*coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc* &
                       cMB*coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(&
                       nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*  &
                       coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)* &
                       coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl&
                       (nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(&
                       nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 + &
                       4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS&
                       *coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*&
                       coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(    &
                       nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*  &
                       coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)**&
                       2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl(&
                       nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl( &
                       nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) + &
                       4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl&
                       (nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**  &
                       2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50 &
                       ) + 8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*    &
                       coupl(nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*   &
                       coupl(nGC_8) + coupl(nGC_160)**2d0*coupl(nGC_48) - coupl&
                       (nGC_160)*coupl(nGC_170)*coupl(nGC_47) - coupl(nGC_160)*&
                       coupl(nGC_21)*coupl(nGC_47) + coupl(nGC_164)**2d0*coupl(&
                       nGC_48) - coupl(nGC_164)*coupl(nGC_170)*coupl(nGC_51) - &
                       coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_51) + coupl(     &
                       nGC_170)*coupl(nGC_174)*coupl(nGC_48) + coupl(nGC_170)* &
                       coupl(nGC_21)*coupl(nGC_49) - coupl(nGC_174)*coupl(     &
                       nGC_20)*coupl(nGC_50) - coupl(nGC_182)*coupl(nGC_22)*   &
                       coupl(nGC_47) + coupl(nGC_184)*coupl(nGC_22)*coupl(     &
                       nGC_48) - coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_50) -  &
                       coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_47) + coupl(     &
                       nGC_20)*coupl(nGC_21)*coupl(nGC_48) - coupl(nGC_40)**2d0&
                       *coupl(nGC_52))/(32d0*pi**2d0)
      coupl(nGC_533) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0&
                       *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_160)*   &
                       coupl(nGC_182)*coupl(nGC_184) - 6d0*coupl(nGC_168)*coupl&
                       (nGC_184)*coupl(nGC_37) + coupl(nGC_170)**2d0*coupl(    &
                       nGC_174) + coupl(nGC_174)*coupl(nGC_22)**2d0 - 6d0*coupl&
                       (nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_20 &
                       )*coupl(nGC_3)*coupl(nGC_4) - 4d0*coupl(nGC_23)*coupl(  &
                       nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl(nGC_69)*&
                       coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(  &
                       nGC_83))/(96d0*pi**2d0)
      coupl(nGC_532) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0&
                       *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_160)*   &
                       coupl(nGC_20)*coupl(nGC_37) - 6d0*coupl(nGC_168)*coupl( &
                       nGC_182)*coupl(nGC_20) + coupl(nGC_170)**2d0*coupl(     &
                       nGC_22) - 6d0*coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_40 &
                       ) - 6d0*coupl(nGC_184)*coupl(nGC_3)*coupl(nGC_4) + coupl&
                       (nGC_22)**3d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(  &
                       nGC_66) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_70  &
                       ) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_82))/(96d0&
                       *pi**2d0)
      coupl(nGC_535) = (-coupl(nGC_1)*coupl(nGC_164)*coupl(nGC_53) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_160)*coupl&
                       (nGC_34)*coupl(nGC_53) - coupl(nGC_184)*coupl(nGC_23)*  &
                       coupl(nGC_56) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_53  &
                       ) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_55) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(    &
                       nGC_77)*coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*    &
                       coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_534) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) - &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -  &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +  &
                       2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0*&
                       cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME*&
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*   &
                       coupl(nGC_162)*coupl(nGC_51) + 4d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_47) - coupl(nGC_158)*coupl(nGC_164)*coupl(    &
                       nGC_47) + 6d0*coupl(nGC_158)*coupl(nGC_25)*coupl(nGC_51 &
                       ) - coupl(nGC_160)*coupl(nGC_168)*coupl(nGC_47) + 6d0*  &
                       coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_47) - coupl(     &
                       nGC_170)*coupl(nGC_25)*coupl(nGC_52) - coupl(nGC_20)*   &
                       coupl(nGC_25)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_537) = (-coupl(nGC_1)*coupl(nGC_164)*coupl(nGC_77) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_160)*coupl&
                       (nGC_38)*coupl(nGC_77) - coupl(nGC_170)*coupl(nGC_23)*  &
                       coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_77  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_80) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(    &
                       nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*    &
                       coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_1091) = coupl(nGC_50)*dZH_QED2/2d0 + coupl(nGC_50)*            &
                        dZWMinus_QED2 + coupl(nGC_795)
      coupl(nGC_692) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*  &
                       coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*&
                       coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75   &
                       ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77&
                       )*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23&
                       )*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(    &
                       nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                       nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cima*coupl(&
                       nGC_2)*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0* &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl( &
                       nGC_87) + 9d0*cima*coupl(nGC_158)*coupl(nGC_20)*coupl(  &
                       nGC_25)*coupl(nGC_40) + 9d0*cima*coupl(nGC_158)*coupl(  &
                       nGC_20)*coupl(nGC_3)*coupl(nGC_4) + 4d0*cima*coupl(     &
                       nGC_160)*coupl(nGC_182)*coupl(nGC_184)*coupl(nGC_4) +   &
                       24d0*cima*coupl(nGC_162)*coupl(nGC_8) + 4d0*cima*coupl( &
                       nGC_164)*coupl(nGC_170)**2d0*coupl(nGC_174) + 4d0*cima* &
                       coupl(nGC_164)*coupl(nGC_174)*coupl(nGC_22)**2d0 + 9d0* &
                       cima*coupl(nGC_168)*coupl(nGC_184)*coupl(nGC_3)*coupl(  &
                       nGC_37) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(    &
                       nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl(    &
                       nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*&
                       cima*coupl(nGC_27)*coupl(nGC_5) - 6d0*coupl(nGC_158)*   &
                       coupl(nGC_164)*coupl(nGC_27) - 6d0*coupl(nGC_158)*coupl(&
                       nGC_17)*coupl(nGC_20) + 36d0*coupl(nGC_158)*coupl(nGC_27&
                       )*coupl(nGC_3) - 6d0*coupl(nGC_160)*coupl(nGC_168)*coupl&
                       (nGC_27) + 6d0*coupl(nGC_160)*coupl(nGC_182)*coupl(     &
                       nGC_26) - 6d0*coupl(nGC_162)*coupl(nGC_184)*coupl(nGC_37&
                       ) - 6d0*coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_40) - 6d0&
                       *coupl(nGC_168)*coupl(nGC_26)*coupl(nGC_37) + 36d0*coupl&
                       (nGC_168)*coupl(nGC_3)*coupl(nGC_8) - 6d0*coupl(nGC_17)*&
                       coupl(nGC_20)*coupl(nGC_3) + 6d0*coupl(nGC_170)*coupl(  &
                       nGC_174)*coupl(nGC_27) + 6d0*coupl(nGC_174)*coupl(nGC_22&
                       )*coupl(nGC_26) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(&
                       nGC_42) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_6) - &
                       6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(nGC_5))/(192d0*pi**&
                       2d0)
      coupl(nGC_518) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4 &
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl(&
                       nGC_71)**2d0)/(32d0*pi**2d0)
      coupl(nGC_694) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*  &
                       coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*&
                       coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75   &
                       ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77&
                       )*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23&
                       )*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(    &
                       nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                       nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cima*coupl(&
                       nGC_2)*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0* &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl( &
                       nGC_87) + 9d0*cima*coupl(nGC_158)*coupl(nGC_164)*coupl( &
                       nGC_21)*coupl(nGC_3) + 9d0*cima*coupl(nGC_158)*coupl(   &
                       nGC_184)*coupl(nGC_25)*coupl(nGC_37) + 9d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_168)*coupl(nGC_21)*coupl(nGC_3) +    &
                       24d0*cima*coupl(nGC_162)*coupl(nGC_8) + 4d0*cima*coupl( &
                       nGC_164)*coupl(nGC_182)*coupl(nGC_184)*coupl(nGC_40) +  &
                       4d0*cima*coupl(nGC_170)*coupl(nGC_174)**2d0*coupl(nGC_4 &
                       ) + 4d0*cima*coupl(nGC_170)*coupl(nGC_22)**2d0*coupl(   &
                       nGC_4) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(     &
                       nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl(    &
                       nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*&
                       cima*coupl(nGC_27)*coupl(nGC_5) - 6d0*coupl(nGC_158)*   &
                       coupl(nGC_17)*coupl(nGC_21) - 6d0*coupl(nGC_158)*coupl( &
                       nGC_21)*coupl(nGC_6) + 36d0*coupl(nGC_158)*coupl(nGC_25 &
                       )*coupl(nGC_8) + 36d0*coupl(nGC_158)*coupl(nGC_27)*coupl&
                       (nGC_3) - 6d0*coupl(nGC_160)*coupl(nGC_162)*coupl(nGC_21&
                       ) - 6d0*coupl(nGC_162)*coupl(nGC_184)*coupl(nGC_37) -   &
                       6d0*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_5) - 6d0*    &
                       coupl(nGC_168)*coupl(nGC_21)*coupl(nGC_42) - 6d0*coupl( &
                       nGC_17)*coupl(nGC_21)*coupl(nGC_3) + 6d0*coupl(nGC_170)*&
                       coupl(nGC_174)*coupl(nGC_27) + 6d0*coupl(nGC_170)*coupl(&
                       nGC_22)*coupl(nGC_28) + 6d0*coupl(nGC_182)*coupl(nGC_28 &
                       )*coupl(nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_27)*coupl(&
                       nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl(nGC_37  &
                       ) - 6d0*coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_4))/(192d0*&
                       pi**2d0)
      coupl(nGC_624) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_158) + coupl(nGC_1&
                       )*coupl(nGC_2) + coupl(nGC_168)*coupl(nGC_38) + coupl(  &
                       nGC_2)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_39) +     &
                       coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_1168) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_772)
      coupl(nGC_749) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima&
                       *coupl(nGC_12)*coupl(nGC_190) + 12d0*Nc*cima*coupl(     &
                       nGC_188)*coupl(nGC_190) - 21d0*Nc*coupl(nGC_10)**2d0*   &
                       coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl&
                       (nGC_186)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(  &
                       nGC_188)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                       nGC_190)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*sq2**  &
                       4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_621) = (-coupl(nGC_182)*coupl(nGC_35)*coupl(nGC_88) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*coupl(nGC_23 &
                       )*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -   &
                       coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87&
                       )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_620) = (-coupl(nGC_170)*coupl(nGC_23)*coupl(nGC_85) - coupl(   &
                       nGC_182)*coupl(nGC_39)*coupl(nGC_86) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87 &
                       ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(  &
                       nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_623) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*    &
                       coupl(nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_158)**&
                       2d0*coupl(nGC_25) - 11d0*coupl(nGC_168)**2d0*coupl(     &
                       nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) - 12d0* &
                       coupl(nGC_23)**2d0*coupl(nGC_41))/(96d0*pi**2d0)
      coupl(nGC_742) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 - &
                       coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39  &
                       )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1163) = coupl(nGC_879) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +    &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0
      coupl(nGC_1160) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1161) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_746) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl(&
                       nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
      coupl(nGC_628) = coupl(nGC_23)*(-coupl(nGC_168)*coupl(nGC_41) - coupl(   &
                       nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) +     &
                       coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_1164) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1165) = -coupl(nGC_21)*dZH_QED2/2d0 - coupl(nGC_21)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_791)
      coupl(nGC_727) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +   &
                       12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)**&
                       2d0 - 8d0*cima*coupl(nGC_158)**2d0*coupl(nGC_25)**2d0 + &
                       4d0*cima*coupl(nGC_162)**2d0 - 8d0*cima*coupl(nGC_168)**&
                       2d0*coupl(nGC_25)**2d0 + 4d0*cima*coupl(nGC_19)**2d0 -  &
                       4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 + 12d0*  &
                       cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) -   &
                       4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + coupl( &
                       nGC_158)**2d0*coupl(nGC_19) + 12d0*coupl(nGC_158)*coupl(&
                       nGC_162)*coupl(nGC_25) + 2d0*coupl(nGC_158)*coupl(nGC_25&
                       )*coupl(nGC_29) + 2d0*coupl(nGC_166)*coupl(nGC_168)*    &
                       coupl(nGC_25) + coupl(nGC_168)**2d0*coupl(nGC_178) +    &
                       coupl(nGC_168)**2d0*coupl(nGC_19) + 12d0*coupl(nGC_168)*&
                       coupl(nGC_19)*coupl(nGC_25) + coupl(nGC_18)*coupl(nGC_25&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_758) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 3d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 60d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_588) = (coupl(nGC_182)*coupl(nGC_36)*coupl(nGC_83) + coupl(    &
                       nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) - &
                       coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*  &
                       coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_1119) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_1118) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1117) = coupl(nGC_34)*dZsR_QCD2
      coupl(nGC_1115) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_1113) = coupl(nGC_898) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1112) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*dZnu_eL_QED2&
                         + coupl(nGC_814)
      coupl(nGC_1111) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_812) = coupl(nGC_367)*dZee_QED2 + coupl(nGC_368)*dsw_QED2 +    &
                       coupl(nGC_369)*dcw_QED2
      coupl(nGC_813) = coupl(nGC_364)*dZee_QED2 + coupl(nGC_365)*dsw_QED2 +    &
                       coupl(nGC_366)*dcw_QED2
      coupl(nGC_810) = coupl(nGC_361)*dZee_QED2 + coupl(nGC_362)*dsw_QED2 +    &
                       coupl(nGC_363)*dcw_QED2
      coupl(nGC_811) = coupl(nGC_370)*dZee_QED2 + coupl(nGC_371)*dsw_QED2 +    &
                       coupl(nGC_372)*dcw_QED2
      coupl(nGC_721) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 -  &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 + 9d0&
                       *cima*coupl(nGC_158)**2d0*coupl(nGC_170)*coupl(nGC_21   &
                       ) + 12d0*cima*coupl(nGC_166)*coupl(nGC_46) + 9d0*cima*  &
                       coupl(nGC_168)**2d0*coupl(nGC_170)*coupl(nGC_21) + 9d0* &
                       cima*coupl(nGC_168)**2d0*coupl(nGC_182)*coupl(nGC_37) + &
                       24d0*cima*coupl(nGC_17)*coupl(nGC_18) + 8d0*cima*coupl( &
                       nGC_170)*coupl(nGC_174)*coupl(nGC_20)*coupl(nGC_21) +   &
                       4d0*cima*coupl(nGC_170)*coupl(nGC_184)*coupl(nGC_21)*   &
                       coupl(nGC_22) + 4d0*cima*coupl(nGC_174)*coupl(nGC_184)* &
                       coupl(nGC_20)*coupl(nGC_22) + 9d0*cima*coupl(nGC_174)*  &
                       coupl(nGC_20)*coupl(nGC_25)**2d0 + 9d0*cima*coupl(      &
                       nGC_174)*coupl(nGC_20)*coupl(nGC_3)**2d0 + 8d0*cima*    &
                       coupl(nGC_182)*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_37&
                       ) + 9d0*cima*coupl(nGC_182)*coupl(nGC_25)**2d0*coupl(   &
                       nGC_37) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_67)**  &
                       2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_71)**2d0 - &
                       32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_83)**2d0 + 36d0* &
                       coupl(nGC_158)**2d0*coupl(nGC_17) - 6d0*coupl(nGC_158)* &
                       coupl(nGC_170)*coupl(nGC_27) - 6d0*coupl(nGC_158)*coupl(&
                       nGC_21)*coupl(nGC_27) - 6d0*coupl(nGC_166)*coupl(nGC_182&
                       )*coupl(nGC_37) + 36d0*coupl(nGC_168)**2d0*coupl(nGC_17 &
                       ) - 6d0*coupl(nGC_168)*coupl(nGC_170)*coupl(nGC_8) - 6d0&
                       *coupl(nGC_168)*coupl(nGC_21)*coupl(nGC_8) + 6d0*coupl( &
                       nGC_17)*coupl(nGC_170)*coupl(nGC_21) + 6d0*coupl(nGC_17 &
                       )*coupl(nGC_174)*coupl(nGC_20) + 6d0*coupl(nGC_17)*coupl&
                       (nGC_182)*coupl(nGC_37) - 6d0*coupl(nGC_170)*coupl(     &
                       nGC_18)*coupl(nGC_21) - 6d0*coupl(nGC_174)*coupl(nGC_18 &
                       )*coupl(nGC_20) - 6d0*coupl(nGC_174)*coupl(nGC_25)*coupl&
                       (nGC_8) - 6d0*coupl(nGC_174)*coupl(nGC_27)*coupl(nGC_3  &
                       ) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0* &
                       coupl(nGC_20)*coupl(nGC_27)*coupl(nGC_3) + 36d0*coupl(  &
                       nGC_25)**2d0*coupl(nGC_46))/(192d0*pi**2d0)
      coupl(nGC_952) = -coupl(nGC_24)*dZZ_QED2/2d0 - coupl(nGC_4)*dZAZ_QED2/2d0&
                        - coupl(nGC_777)
      coupl(nGC_951) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_950) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_775)
      coupl(nGC_957) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0 &
                        + coupl(nGC_34)*dZdR_QED2 + coupl(nGC_813)
      coupl(nGC_956) = coupl(nGC_38)*dZdL_QCD2
      coupl(nGC_955) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0 &
                        + coupl(nGC_38)*dZdL_QED2 + coupl(nGC_812)
      coupl(nGC_723) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(  &
                       nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62)*&
                       coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(  &
                       nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*coupl&
                       (nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*cima*    &
                       coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64  &
                       ) + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(     &
                       nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_35)**2d0*&
                       coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_35 &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(&
                       nGC_35)**2d0*coupl(nGC_86)*coupl(nGC_88) + 40d0*Nc*cima*&
                       coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60  &
                       ) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(     &
                       nGC_78)*coupl(nGC_80) + 40d0*Nc*cima*coupl(nGC_35)*coupl&
                       (nGC_39)*coupl(nGC_86)*coupl(nGC_88) - 32d0*Nc*cima*    &
                       coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(nGC_56) - 32d0*Nc&
                       *cima*coupl(nGC_38)**2d0*coupl(nGC_62)*coupl(nGC_64) -  &
                       32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_74)*coupl(    &
                       nGC_76) - 32d0*Nc*cima*coupl(nGC_39)**2d0*coupl(nGC_58)*&
                       coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_39)**2d0*coupl(  &
                       nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(nGC_39)**2d0*&
                       coupl(nGC_86)*coupl(nGC_88) + 4d0*cima*coupl(nGC_160)** &
                       2d0*coupl(nGC_184)*coupl(nGC_22) + 12d0*cima*coupl(     &
                       nGC_166)*coupl(nGC_17) + 9d0*cima*coupl(nGC_168)**2d0*  &
                       coupl(nGC_184)*coupl(nGC_22) + 4d0*cima*coupl(nGC_182)**&
                       2d0*coupl(nGC_37)**2d0 + 9d0*cima*coupl(nGC_184)*coupl( &
                       nGC_22)*coupl(nGC_25)**2d0 + 4d0*cima*coupl(nGC_184)*   &
                       coupl(nGC_22)*coupl(nGC_40)**2d0 - 32d0*cima*coupl(     &
                       nGC_36)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*cima*   &
                       coupl(nGC_36)**2d0*coupl(nGC_70)*coupl(nGC_72) - 32d0*  &
                       cima*coupl(nGC_36)**2d0*coupl(nGC_82)*coupl(nGC_84) +   &
                       40d0*cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_66)*    &
                       coupl(nGC_68) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)*  &
                       coupl(nGC_70)*coupl(nGC_72) + 40d0*cima*coupl(nGC_36)*  &
                       coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 32d0*cima*  &
                       coupl(nGC_40)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*  &
                       cima*coupl(nGC_40)**2d0*coupl(nGC_70)*coupl(nGC_72) -   &
                       32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_82)*coupl(nGC_84 &
                       ) - 6d0*coupl(nGC_166)*coupl(nGC_184)*coupl(nGC_22) +   &
                       18d0*coupl(nGC_168)**2d0*coupl(nGC_17) - 6d0*coupl(     &
                       nGC_168)*coupl(nGC_184)*coupl(nGC_9) - 6d0*coupl(nGC_168&
                       )*coupl(nGC_22)*coupl(nGC_7) + 18d0*coupl(nGC_17)*coupl(&
                       nGC_25)**2d0 + 3d0*coupl(nGC_182)*coupl(nGC_37)*coupl(  &
                       nGC_46) + 6d0*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_45 &
                       ) - 6d0*coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_7) - 6d0*&
                       coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_724) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*    &
                       coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**  &
                       2d0*Nc)
      coupl(nGC_725) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*    &
                       coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**  &
                       2d0)
      coupl(nGC_1184) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_765)
      coupl(nGC_1185) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_765)
      coupl(nGC_1029) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_781) + coupl(   &
                        nGC_HHHH)
      coupl(nGC_1028) = -coupl(nGC_25)*dZWMinus_QED2/2d0 - coupl(nGC_768)
      coupl(nGC_1180) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1181) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1182) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_765)
      coupl(nGC_1183) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_765)
      coupl(nGC_1023) = coupl(nGC_781) + coupl(nGC_HHHH)
      coupl(nGC_1022) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_766)
      coupl(nGC_1021) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1020) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1027) = coupl(nGC_77)*dZbL_QCD2/2d0 + coupl(nGC_77)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_825)
      coupl(nGC_1026) = coupl(nGC_77)*dZbL_QED2/2d0 + coupl(nGC_77)*dZtR_QED2/ &
                        2d0 + coupl(nGC_824)
      coupl(nGC_728) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -   &
                       30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                       )**2d0 - 16d0*cima*coupl(nGC_158)**2d0*coupl(nGC_25)**  &
                       2d0 + 6d0*cima*coupl(nGC_166)*coupl(nGC_18) - 16d0*cima*&
                       coupl(nGC_168)**2d0*coupl(nGC_25)**2d0 + 18d0*cima*coupl&
                       (nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl(     &
                       nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima*   &
                       coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + 9d0*coupl(      &
                       nGC_158)**2d0*coupl(nGC_166) + 6d0*coupl(nGC_158)*coupl(&
                       nGC_162)*coupl(nGC_25) + 9d0*coupl(nGC_166)*coupl(      &
                       nGC_168)**2d0 + 9d0*coupl(nGC_168)**2d0*coupl(nGC_18) + &
                       6d0*coupl(nGC_168)*coupl(nGC_19)*coupl(nGC_25) + 9d0*   &
                       coupl(nGC_18)*coupl(nGC_25)**2d0)/(48d0*pi**2d0)
      coupl(nGC_729) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +   &
                       12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)**&
                       2d0 - 8d0*cima*coupl(nGC_158)**2d0*coupl(nGC_25)**2d0 + &
                       4d0*cima*coupl(nGC_162)**2d0 - 8d0*cima*coupl(nGC_168)**&
                       2d0*coupl(nGC_25)**2d0 + 4d0*cima*coupl(nGC_19)**2d0 -  &
                       4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 + 12d0*  &
                       cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) -   &
                       4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + coupl( &
                       nGC_158)**2d0*coupl(nGC_19) + 12d0*coupl(nGC_158)*coupl(&
                       nGC_162)*coupl(nGC_25) + 2d0*coupl(nGC_158)*coupl(nGC_25&
                       )*coupl(nGC_29) + 2d0*coupl(nGC_166)*coupl(nGC_168)*    &
                       coupl(nGC_25) + coupl(nGC_168)**2d0*coupl(nGC_18) +     &
                       coupl(nGC_168)**2d0*coupl(nGC_19) + 12d0*coupl(nGC_168)*&
                       coupl(nGC_19)*coupl(nGC_25) + coupl(nGC_178)*coupl(     &
                       nGC_25)**2d0)/(32d0*pi**2d0)
      coupl(nGC_759) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 9d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 60d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_928) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0 &
                        + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_788) +   &
                       coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_929) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_8)*dZH_QED2/2d0 &
                        + coupl(nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*       &
                       dZZ_QED2/2d0 + coupl(nGC_800)
      coupl(nGC_926) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0 &
                        + coupl(nGC_40)*dZeMinusL_QED2 + coupl(nGC_798)
      coupl(nGC_927) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*             &
                       dZeMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(    &
                       nGC_815)
      coupl(nGC_924) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +    &
                       coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_922) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +    &
                       coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_921) = -coupl(nGC_24)*dZWMinus_QED2/2d0 - coupl(nGC_777)
      coupl(nGC_551) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0*&
                       Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*  &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_158 &
                       )*coupl(nGC_164)*coupl(nGC_21) - 6d0*coupl(nGC_160)*    &
                       coupl(nGC_168)*coupl(nGC_21) + coupl(nGC_170)*coupl(    &
                       nGC_174)**2d0 + coupl(nGC_170)*coupl(nGC_22)**2d0 +     &
                       coupl(nGC_182)*coupl(nGC_184)*coupl(nGC_40) - 6d0*coupl(&
                       nGC_184)*coupl(nGC_25)*coupl(nGC_37) + 4d0*coupl(nGC_23 &
                       )*coupl(nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl(&
                       nGC_69)*coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)*&
                       coupl(nGC_83))/(96d0*pi**2d0)
      coupl(nGC_541) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_160)*coupl&
                       (nGC_39)*coupl(nGC_73) + coupl(nGC_164)*coupl(nGC_2)*   &
                       coupl(nGC_73) + coupl(nGC_170)*coupl(nGC_23)*coupl(     &
                       nGC_75) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_76) +   &
                       8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(  &
                       nGC_34)*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*    &
                       coupl(nGC_58)*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59&
                       )*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_543) = (-coupl(nGC_1)*coupl(nGC_164)*coupl(nGC_61) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_160)*coupl&
                       (nGC_34)*coupl(nGC_61) - coupl(nGC_184)*coupl(nGC_23)*  &
                       coupl(nGC_64) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_61  &
                       ) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_63) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(    &
                       nGC_85)*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*    &
                       coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_544) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_545) = (-coupl(nGC_1)*coupl(nGC_164)*coupl(nGC_85) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_160)*coupl&
                       (nGC_38)*coupl(nGC_85) - coupl(nGC_170)*coupl(nGC_23)*  &
                       coupl(nGC_87) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_88) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(    &
                       nGC_62)*coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*    &
                       coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_547) = (-coupl(nGC_160)*coupl(nGC_36)*coupl(nGC_65) - coupl(   &
                       nGC_164)*coupl(nGC_4)*coupl(nGC_65) - coupl(nGC_184)*   &
                       coupl(nGC_23)*coupl(nGC_68) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(  &
                       32d0*pi**2d0)
      coupl(nGC_661) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                       nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl(&
                       nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_660) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                       nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*  &
                       coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_663) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                       nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl(&
                       nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
      coupl(nGC_662) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                       nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*  &
                       coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_665) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl(&
                       nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_664) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*  &
                       coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_550) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0*&
                       Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*  &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_158 &
                       )*coupl(nGC_164)*coupl(nGC_184) - 6d0*coupl(nGC_160)*   &
                       coupl(nGC_168)*coupl(nGC_184) + coupl(nGC_174)**2d0*    &
                       coupl(nGC_22) - 6d0*coupl(nGC_182)*coupl(nGC_21)*coupl( &
                       nGC_25) + coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) +   &
                       coupl(nGC_22)**3d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*   &
                       coupl(nGC_68) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(  &
                       nGC_72) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84  &
                       ))/(96d0*pi**2d0)
      coupl(nGC_666) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*  &
                       coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_719) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl(  &
                       nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58)*&
                       coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(  &
                       nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**2d0*&
                       coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_23 &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(&
                       nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 9d0*cima*    &
                       coupl(nGC_158)**2d0*coupl(nGC_184)*coupl(nGC_22) + 12d0*&
                       cima*coupl(nGC_166)*coupl(nGC_46) + 9d0*cima*coupl(     &
                       nGC_168)**2d0*coupl(nGC_182)*coupl(nGC_37) + 9d0*cima*  &
                       coupl(nGC_168)**2d0*coupl(nGC_184)*coupl(nGC_22) + 24d0*&
                       cima*coupl(nGC_17)*coupl(nGC_18) + 4d0*cima*coupl(      &
                       nGC_170)*coupl(nGC_182)*coupl(nGC_21)*coupl(nGC_37) +   &
                       4d0*cima*coupl(nGC_170)*coupl(nGC_184)*coupl(nGC_21)*   &
                       coupl(nGC_22) + 4d0*cima*coupl(nGC_174)*coupl(nGC_182)* &
                       coupl(nGC_20)*coupl(nGC_37) + 4d0*cima*coupl(nGC_174)*  &
                       coupl(nGC_184)*coupl(nGC_20)*coupl(nGC_22) + 9d0*cima*  &
                       coupl(nGC_182)*coupl(nGC_25)**2d0*coupl(nGC_37) + 8d0*  &
                       cima*coupl(nGC_184)**2d0*coupl(nGC_22)**2d0 + 9d0*cima* &
                       coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_25)**2d0 + 9d0*  &
                       cima*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_3)**2d0 -   &
                       32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_66)*coupl(nGC_68 &
                       ) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_70)*coupl(   &
                       nGC_72) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_82)*   &
                       coupl(nGC_84) + 36d0*coupl(nGC_158)**2d0*coupl(nGC_17   &
                       ) - 6d0*coupl(nGC_158)*coupl(nGC_184)*coupl(nGC_26) -   &
                       6d0*coupl(nGC_158)*coupl(nGC_22)*coupl(nGC_28) - 6d0*   &
                       coupl(nGC_166)*coupl(nGC_182)*coupl(nGC_37) + 36d0*coupl&
                       (nGC_168)**2d0*coupl(nGC_17) - 6d0*coupl(nGC_168)*coupl(&
                       nGC_184)*coupl(nGC_7) - 6d0*coupl(nGC_168)*coupl(nGC_22 &
                       )*coupl(nGC_9) + 6d0*coupl(nGC_17)*coupl(nGC_182)*coupl(&
                       nGC_37) + 12d0*coupl(nGC_17)*coupl(nGC_184)*coupl(nGC_22&
                       ) - 12d0*coupl(nGC_18)*coupl(nGC_184)*coupl(nGC_22) -   &
                       6d0*coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_9) - 6d0*    &
                       coupl(nGC_184)*coupl(nGC_28)*coupl(nGC_3) - 6d0*coupl(  &
                       nGC_22)*coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_22)* &
                       coupl(nGC_26)*coupl(nGC_3) + 36d0*coupl(nGC_25)**2d0*   &
                       coupl(nGC_46))/(192d0*pi**2d0)
      coupl(nGC_751) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima*&
                       coupl(nGC_12)*coupl(nGC_190) + 6d0*Nc*cima*coupl(nGC_188&
                       )*coupl(nGC_190) - 9d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_186)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                       nGC_188)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                       nGC_190)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                       )/(384d0*pi**2d0*Nc)
      coupl(nGC_750) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima* &
                       coupl(nGC_12)*coupl(nGC_190) + 3d0*Nc*cima*coupl(nGC_188&
                       )*coupl(nGC_190) - 6d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_188)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                       nGC_190)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                       )/(192d0*pi**2d0*Nc)
      coupl(nGC_1153) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1152) = coupl(nGC_880) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0
      coupl(nGC_1098) = coupl(nGC_29)*dZZA_QED2 - 2d0*coupl(nGC_5)*dZA_QED2 -  &
                        2d0*coupl(nGC_5)*dZWMinus_QED2 - 2d0*coupl(nGC_767)
      coupl(nGC_1099) = -coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZA_QED2 + &
                        coupl(nGC_5)*dZWMinus_QED2 + coupl(nGC_767)
      coupl(nGC_1157) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1156) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_713) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_75 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_55  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 4d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_170)**2d0*coupl(nGC_174) + 4d0*cima* &
                       coupl(nGC_160)*coupl(nGC_174)*coupl(nGC_22)**2d0 + 4d0* &
                       cima*coupl(nGC_160)*coupl(nGC_182)**2d0*coupl(nGC_20) + &
                       4d0*cima*coupl(nGC_160)*coupl(nGC_182)*coupl(nGC_184)*  &
                       coupl(nGC_40) + 24d0*cima*coupl(nGC_162)*coupl(nGC_27   &
                       ) + 9d0*cima*coupl(nGC_168)*coupl(nGC_184)*coupl(nGC_25 &
                       )*coupl(nGC_37) + 9d0*cima*coupl(nGC_168)*coupl(nGC_20)*&
                       coupl(nGC_25)*coupl(nGC_40) + 9d0*cima*coupl(nGC_168)*  &
                       coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_4) + 4d0*cima*coupl&
                       (nGC_170)*coupl(nGC_174)*coupl(nGC_182)*coupl(nGC_22) + &
                       4d0*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_22)*   &
                       coupl(nGC_37) + 24d0*cima*coupl(nGC_19)*coupl(nGC_8) +  &
                       20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65)*    &
                       coupl(nGC_67) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*  &
                       coupl(nGC_69)*coupl(nGC_71) + 20d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_67  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69)*&
                       coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*  &
                       coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_71  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81)*&
                       coupl(nGC_83) + 36d0*coupl(nGC_158)*coupl(nGC_25)*coupl(&
                       nGC_27) + 6d0*coupl(nGC_160)*coupl(nGC_182)*coupl(nGC_7 &
                       ) - 6d0*coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_4) - 6d0*&
                       coupl(nGC_168)*coupl(nGC_17)*coupl(nGC_20) - 6d0*coupl( &
                       nGC_168)*coupl(nGC_20)*coupl(nGC_46) + 36d0*coupl(      &
                       nGC_168)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_168 &
                       )*coupl(nGC_37)*coupl(nGC_7) - 6d0*coupl(nGC_17)*coupl( &
                       nGC_20)*coupl(nGC_25) + 6d0*coupl(nGC_170)*coupl(nGC_174&
                       )*coupl(nGC_8) + 6d0*coupl(nGC_174)*coupl(nGC_22)*coupl(&
                       nGC_7) - 6d0*coupl(nGC_184)*coupl(nGC_19)*coupl(nGC_37  &
                       ) - 6d0*coupl(nGC_19)*coupl(nGC_20)*coupl(nGC_40) - 6d0*&
                       coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_45) - 6d0*coupl(  &
                       nGC_20)*coupl(nGC_3)*coupl(nGC_42) - 6d0*coupl(nGC_25)* &
                       coupl(nGC_40)*coupl(nGC_8) - 6d0*coupl(nGC_3)*coupl(    &
                       nGC_4)*coupl(nGC_8))/(192d0*pi**2d0)
      coupl(nGC_712) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_58) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_54) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_74 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_54  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_74  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_86) + 4d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_170)**2d0*coupl(nGC_22) + 4d0*cima*  &
                       coupl(nGC_160)*coupl(nGC_184)*coupl(nGC_37)**2d0 + 4d0* &
                       cima*coupl(nGC_160)*coupl(nGC_20)*coupl(nGC_37)*coupl(  &
                       nGC_40) + 4d0*cima*coupl(nGC_160)*coupl(nGC_22)**3d0 +  &
                       24d0*cima*coupl(nGC_162)*coupl(nGC_26) + 9d0*cima*coupl(&
                       nGC_168)*coupl(nGC_182)*coupl(nGC_20)*coupl(nGC_25) +   &
                       9d0*cima*coupl(nGC_168)*coupl(nGC_184)*coupl(nGC_25)*   &
                       coupl(nGC_40) + 9d0*cima*coupl(nGC_168)*coupl(nGC_184)* &
                       coupl(nGC_3)*coupl(nGC_4) + 4d0*cima*coupl(nGC_170)*    &
                       coupl(nGC_182)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(     &
                       nGC_170)*coupl(nGC_22)**2d0*coupl(nGC_37) + 24d0*cima*  &
                       coupl(nGC_19)*coupl(nGC_7) + 20d0*cima*coupl(nGC_23)*   &
                       coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 20d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_70  &
                       ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*&
                       coupl(nGC_82) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*  &
                       coupl(nGC_65)*coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*&
                       coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*  &
                       coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_82) + 36d0*coupl( &
                       nGC_158)*coupl(nGC_25)*coupl(nGC_26) + 6d0*coupl(nGC_160&
                       )*coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(nGC_162)*coupl(&
                       nGC_184)*coupl(nGC_4) - 6d0*coupl(nGC_168)*coupl(nGC_17 &
                       )*coupl(nGC_184) - 6d0*coupl(nGC_168)*coupl(nGC_182)*   &
                       coupl(nGC_8) - 6d0*coupl(nGC_168)*coupl(nGC_184)*coupl( &
                       nGC_46) + 36d0*coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_7 &
                       ) - 6d0*coupl(nGC_17)*coupl(nGC_184)*coupl(nGC_25) + 6d0&
                       *coupl(nGC_170)*coupl(nGC_22)*coupl(nGC_8) - 6d0*coupl( &
                       nGC_182)*coupl(nGC_19)*coupl(nGC_20) - 6d0*coupl(nGC_184&
                       )*coupl(nGC_19)*coupl(nGC_40) - 6d0*coupl(nGC_184)*coupl&
                       (nGC_25)*coupl(nGC_45) - 6d0*coupl(nGC_184)*coupl(nGC_3 &
                       )*coupl(nGC_42) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_7) - &
                       6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl&
                       (nGC_3)*coupl(nGC_4)*coupl(nGC_7))/(192d0*pi**2d0)
      coupl(nGC_1092) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1093) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1090) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_1158) = coupl(nGC_882) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl(  &
                        nGC_MU)*dZuR_QED2/2d0
      coupl(nGC_1096) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1097) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1094) = coupl(nGC_892) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl(  &
                        nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_1095) = coupl(nGC_893) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl(  &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_868) = coupl(nGC_434)*dyt_QED3
      coupl(nGC_1173) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_718) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +   &
                       20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 + 6d0&
                       *cima*coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_182)**2d0*&
                       coupl(nGC_37)**2d0 - 10d0*cima*coupl(nGC_184)**2d0*coupl&
                       (nGC_22)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima*&
                       coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 + 20d0*cima*coupl(&
                       nGC_70)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(nGC_82&
                       )**2d0*coupl(nGC_84)**2d0 + 3d0*coupl(nGC_13)*coupl(    &
                       nGC_182)*coupl(nGC_37) + 6d0*coupl(nGC_13)*coupl(nGC_184&
                       )*coupl(nGC_22) - 6d0*coupl(nGC_17)*coupl(nGC_184)*coupl&
                       (nGC_22) - 3d0*coupl(nGC_182)*coupl(nGC_37)*coupl(nGC_46&
                       ))/(16d0*pi**2d0)
      coupl(nGC_548) = (-coupl(nGC_160)*coupl(nGC_36)*coupl(nGC_69) - coupl(   &
                       nGC_164)*coupl(nGC_4)*coupl(nGC_69) - coupl(nGC_184)*   &
                       coupl(nGC_23)*coupl(nGC_72) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(  &
                       32d0*pi**2d0)
      coupl(nGC_962) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0 &
                        + coupl(nGC_39)*dZtL_QED2 + coupl(nGC_811)
      coupl(nGC_960) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZdL_QED2/2d0 + coupl(nGC_23)*dZuL_QED2/2d0 + coupl(    &
                       nGC_809)
      coupl(nGC_967) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZcL_QED2/2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(    &
                       nGC_809)
      coupl(nGC_964) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0 &
                        + coupl(nGC_35)*dZtR_QED2 + coupl(nGC_810)
      coupl(nGC_969) = coupl(nGC_54)*dZbL_QED2/2d0 + coupl(nGC_54)*dZbR_QED2/  &
                       2d0 + coupl(nGC_836)
      coupl(nGC_667) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl(&
                       nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
      coupl(nGC_843) = coupl(nGC_432)*dys_QED1_QCD2
      coupl(nGC_842) = coupl(nGC_432)*dys_QED3
      coupl(nGC_1074) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZbL_QED2/2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(   &
                        nGC_809)
      coupl(nGC_1076) = coupl(nGC_80)*dZtL_QED2/2d0 + coupl(nGC_80)*dZtR_QED2/ &
                        2d0 + coupl(nGC_866)
      coupl(nGC_1077) = coupl(nGC_80)*dZtL_QCD2/2d0 + coupl(nGC_80)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_867)
      coupl(nGC_1071) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_1072) = -coupl(nGC_3)*dZWMinus_QED2/2d0 - coupl(nGC_766)
      coupl(nGC_1059) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1078) = coupl(nGC_78)*dZtL_QED2/2d0 + coupl(nGC_78)*dZtR_QED2/ &
                        2d0 + coupl(nGC_868)
      coupl(nGC_1079) = coupl(nGC_78)*dZtL_QCD2/2d0 + coupl(nGC_78)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_869)
      coupl(nGC_659) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl(&
                       nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1154) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_793)
      coupl(nGC_1199) = -coupl(nGC_897) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_716) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0 - &
                       coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_73  &
                       )**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0)/(32d0*&
                       pi**2d0)
      coupl(nGC_1205) = -coupl(nGC_563)
      coupl(nGC_1204) = -coupl(nGC_531)
      coupl(nGC_1203) = -coupl(nGC_533)
      coupl(nGC_1202) = -coupl(nGC_532)
      coupl(nGC_1201) = -coupl(nGC_623)
      coupl(nGC_1200) = coupl(nGC_897) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1209) = -coupl(nGC_551)
      coupl(nGC_1208) = -coupl(nGC_550)
      coupl(nGC_730) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(     &
                       nGC_158)**4d0 - 8d0*cima*coupl(nGC_158)**2d0*coupl(     &
                       nGC_168)**2d0 - 16d0*cima*coupl(nGC_158)**2d0*coupl(    &
                       nGC_3)**2d0 - 32d0*cima*coupl(nGC_158)*coupl(nGC_168)*  &
                       coupl(nGC_25)*coupl(nGC_3) - 4d0*cima*coupl(nGC_168)**  &
                       4d0 - 16d0*cima*coupl(nGC_168)**2d0*coupl(nGC_25)**2d0  &
                        + 3d0*cima*coupl(nGC_178)**2d0 - 30d0*cima*coupl(nGC_23&
                       )**4d0 - 4d0*cima*coupl(nGC_25)**4d0 - 8d0*cima*coupl(  &
                       nGC_25)**2d0*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_3)**&
                       4d0 + 3d0*coupl(nGC_158)**2d0*coupl(nGC_178) + 3d0*coupl&
                       (nGC_158)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_158)*coupl( &
                       nGC_162)*coupl(nGC_168) + 18d0*coupl(nGC_158)*coupl(    &
                       nGC_178)*coupl(nGC_3) + 6d0*coupl(nGC_162)*coupl(nGC_25 &
                       )*coupl(nGC_3) + 3d0*coupl(nGC_168)**2d0*coupl(nGC_178  &
                       ) + 3d0*coupl(nGC_168)**2d0*coupl(nGC_19) + 18d0*coupl( &
                       nGC_168)*coupl(nGC_178)*coupl(nGC_25) + 3d0*coupl(      &
                       nGC_178)*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_178)*coupl( &
                       nGC_3)**2d0 + 3d0*coupl(nGC_19)*coupl(nGC_25)**2d0 + 3d0&
                       *coupl(nGC_3)**2d0*coupl(nGC_5))/(48d0*pi**2d0)
      coupl(nGC_711) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc*  &
                       cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*coupl&
                       (nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(nGC_2)*  &
                       coupl(nGC_39)**3d0 - 20d0*cima*coupl(nGC_158)*coupl(    &
                       nGC_168)**3d0 + 6d0*cima*coupl(nGC_166)*coupl(nGC_29) - &
                       20d0*cima*coupl(nGC_25)**3d0*coupl(nGC_3) + 6d0*cima*   &
                       coupl(nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*coupl(nGC_4)*&
                       coupl(nGC_40)**3d0 + 9d0*coupl(nGC_158)*coupl(nGC_166)* &
                       coupl(nGC_168) + 3d0*coupl(nGC_158)*coupl(nGC_168)*coupl&
                       (nGC_19) + 3d0*coupl(nGC_162)*coupl(nGC_168)**2d0 + 3d0*&
                       coupl(nGC_162)*coupl(nGC_25)**2d0 + 9d0*coupl(nGC_166)* &
                       coupl(nGC_25)*coupl(nGC_3) + 9d0*coupl(nGC_168)**2d0*   &
                       coupl(nGC_29) + 3d0*coupl(nGC_19)*coupl(nGC_25)*coupl(  &
                       nGC_3) + 9d0*coupl(nGC_25)**2d0*coupl(nGC_29))/(48d0*pi &
                       **2d0)
      coupl(nGC_610) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*   &
                       coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) + &
                       cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
      coupl(nGC_611) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*  &
                       coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) - &
                       cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**2d0)
      coupl(nGC_597) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_182)*  &
                       coupl(nGC_34)*coupl(nGC_54) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -   &
                       coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54&
                       )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_618) = (coupl(nGC_170)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                       nGC_182)*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(     &
                       nGC_83)**3d0)/(32d0*pi**2d0)
      coupl(nGC_619) = (coupl(nGC_182)*coupl(nGC_36)*coupl(nGC_84) + coupl(    &
                       nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) - &
                       coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_752) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*    &
                       coupl(nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                       nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_186 &
                       )*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**&
                       2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2**2d0)/(&
                       384d0*pi**2d0)
      coupl(nGC_755) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl&
                       (nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_186)* &
                       sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2** &
                       2d0)/(192d0*pi**2d0)
      coupl(nGC_754) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl&
                       (nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                       sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**  &
                       2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2**2d0)/(&
                       192d0*pi**2d0)
      coupl(nGC_710) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 -  &
                       16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53)**&
                       2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(   &
                       nGC_61)**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*&
                       coupl(nGC_73)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_57)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_77)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl(  &
                       nGC_38)*coupl(nGC_57)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*&
                       coupl(nGC_38)*coupl(nGC_77)**2d0 + 20d0*Nc*cima*coupl(  &
                       nGC_35)*coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*&
                       coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 + 4d0*cima*coupl( &
                       nGC_160)**2d0*coupl(nGC_40)**2d0 + 4d0*cima*coupl(      &
                       nGC_164)**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(     &
                       nGC_166)*coupl(nGC_17) + 4d0*cima*coupl(nGC_170)*coupl( &
                       nGC_182)*coupl(nGC_21)*coupl(nGC_37) + 9d0*cima*coupl(  &
                       nGC_174)*coupl(nGC_20)*coupl(nGC_25)**2d0 + 4d0*cima*   &
                       coupl(nGC_182)*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_37&
                       ) + 9d0*cima*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_25  &
                       )**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(nGC_65)**2d0&
                        - 16d0*cima*coupl(nGC_36)**2d0*coupl(nGC_69)**2d0 -    &
                       16d0*cima*coupl(nGC_36)**2d0*coupl(nGC_81)**2d0 + 20d0* &
                       cima*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_65)**2d0 +   &
                       20d0*cima*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_69)**2d0&
                        + 20d0*cima*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_81)**&
                       2d0 - 16d0*cima*coupl(nGC_41)**2d0*coupl(nGC_65)**2d0 - &
                       16d0*cima*coupl(nGC_41)**2d0*coupl(nGC_69)**2d0 - 16d0* &
                       cima*coupl(nGC_41)**2d0*coupl(nGC_81)**2d0 + 3d0*coupl( &
                       nGC_160)**2d0*coupl(nGC_45) + 3d0*coupl(nGC_164)**2d0*  &
                       coupl(nGC_45) - 3d0*coupl(nGC_166)*coupl(nGC_174)*coupl(&
                       nGC_20) - 3d0*coupl(nGC_166)*coupl(nGC_184)*coupl(nGC_22&
                       ) + 18d0*coupl(nGC_168)**2d0*coupl(nGC_17) + 18d0*coupl(&
                       nGC_17)*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_170)*coupl(  &
                       nGC_21)*coupl(nGC_46) - 6d0*coupl(nGC_174)*coupl(nGC_25 &
                       )*coupl(nGC_8) + 3d0*coupl(nGC_184)*coupl(nGC_22)*coupl(&
                       nGC_46) - 6d0*coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_9  &
                       ) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0* &
                       coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_7))/(96d0*pi**2d0)
      coupl(nGC_504) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) -   &
                       2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) -   &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) -   &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) +   &
                       4d0*cima*coupl(nGC_162)*coupl(nGC_47) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_51) - coupl(nGC_158)*coupl(nGC_21)*    &
                       coupl(nGC_50) + 6d0*coupl(nGC_158)*coupl(nGC_25)*coupl( &
                       nGC_47) + 6d0*coupl(nGC_158)*coupl(nGC_3)*coupl(nGC_51  &
                       ) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) - coupl(  &
                       nGC_3)*coupl(nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
      coupl(nGC_506) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_158)**2d0*  &
                       coupl(nGC_3) - 11d0*coupl(nGC_168)**2d0*coupl(nGC_3) +  &
                       12d0*coupl(nGC_23)**2d0*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_507) = (-6d0*coupl(nGC_158)*coupl(nGC_20)*coupl(nGC_22) + coupl&
                       (nGC_164)*coupl(nGC_174)*coupl(nGC_184) + coupl(nGC_170 &
                       )*coupl(nGC_184)*coupl(nGC_4) - 6d0*coupl(nGC_21)*coupl(&
                       nGC_22)*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_500) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +     &
                       coupl(nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_158)*   &
                       coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**2d0&
                        + coupl(nGC_2)*coupl(nGC_77)**2d0)/(32d0*pi**2d0)
      coupl(nGC_503) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) -   &
                       2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) -   &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) -   &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) +   &
                       4d0*cima*coupl(nGC_162)*coupl(nGC_47) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_51) - coupl(nGC_158)*coupl(nGC_164)*   &
                       coupl(nGC_51) + 6d0*coupl(nGC_158)*coupl(nGC_3)*coupl(  &
                       nGC_51) - coupl(nGC_160)*coupl(nGC_168)*coupl(nGC_51) + &
                       6d0*coupl(nGC_168)*coupl(nGC_3)*coupl(nGC_47) - coupl(  &
                       nGC_20)*coupl(nGC_3)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_508) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - &
                       4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) -   &
                       4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) -   &
                       4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) -   &
                       4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) -   &
                       4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) -   &
                       4d0*cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0* &
                       cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM* &
                       coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl&
                       (nGC_4)*coupl(nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(   &
                       nGC_36)*coupl(nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(    &
                       nGC_4)*coupl(nGC_40)*coupl(nGC_83) + 4d0*cima*coupl(    &
                       nGC_29)*coupl(nGC_50) + 6d0*coupl(nGC_158)*coupl(nGC_168&
                       )*coupl(nGC_50) - coupl(nGC_158)*coupl(nGC_174)*coupl(  &
                       nGC_47) - coupl(nGC_168)*coupl(nGC_20)*coupl(nGC_51) -  &
                       coupl(nGC_170)*coupl(nGC_3)*coupl(nGC_47) - coupl(nGC_21&
                       )*coupl(nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(&
                       nGC_3)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_509) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*  &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl( &
                       nGC_1)**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0&
                       *coupl(nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(    &
                       nGC_79) - 8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) -  &
                       8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(&
                       nGC_4)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0* &
                       coupl(nGC_83) + 4d0*cima*coupl(nGC_172)*coupl(nGC_50) + &
                       6d0*coupl(nGC_158)**2d0*coupl(nGC_50) - coupl(nGC_158)* &
                       coupl(nGC_174)*coupl(nGC_51) - coupl(nGC_158)*coupl(    &
                       nGC_20)*coupl(nGC_51) - coupl(nGC_170)*coupl(nGC_3)*    &
                       coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_51 &
                       ) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_971) = coupl(nGC_56)*dZbL_QED2/2d0 + coupl(nGC_56)*dZbR_QED2/  &
                       2d0 + coupl(nGC_838)
      coupl(nGC_970) = coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(nGC_54)*dZbR_QCD2/  &
                       2d0 + coupl(nGC_837)
      coupl(nGC_1142) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/  &
                        2d0 - coupl(nGC_766)
      coupl(nGC_972) = coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(nGC_56)*dZbR_QCD2/  &
                       2d0 + coupl(nGC_839)
      coupl(nGC_974) = coupl(nGC_71)*dZH_QED2/2d0 + coupl(nGC_71)*             &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_71)*dZmuMinusR_QED2/2d0 &
                        + coupl(nGC_856)
      coupl(nGC_1146) = coupl(nGC_83)*dZH_QED2/2d0 + coupl(nGC_83)*            &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_83)*dZtauMinusR_QED2/ &
                        2d0 + coupl(nGC_857)
      coupl(nGC_953) = coupl(nGC_75)*dZH_QED2/2d0 + coupl(nGC_75)*dZsL_QED2/2d0&
                        + coupl(nGC_75)*dZsR_QED2/2d0 + coupl(nGC_842)
      coupl(nGC_1166) = -coupl(nGC_25)*dZWMinus_QED2 - coupl(nGC_25)*dZZ_QED2/ &
                        2d0 - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_768)
      coupl(nGC_1167) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0 + coupl(&
                        nGC_772)
      coupl(nGC_954) = coupl(nGC_75)*dZsL_QCD2/2d0 + coupl(nGC_75)*dZsR_QCD2/  &
                       2d0 + coupl(nGC_843)
      coupl(nGC_1104) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZbR_QED2 + coupl(nGC_813)
      coupl(nGC_1108) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0&
                         + coupl(nGC_39)*dZcL_QED2 + coupl(nGC_811)
      coupl(nGC_935) = coupl(nGC_87)*dZH_QED2/2d0 + coupl(nGC_87)*dZuL_QED2/2d0&
                        + coupl(nGC_87)*dZuR_QED2/2d0 + coupl(nGC_870)
      coupl(nGC_937) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_799) + coupl(   &
                       nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_936) = coupl(nGC_87)*dZuL_QCD2/2d0 + coupl(nGC_87)*dZuR_QCD2/  &
                       2d0 + coupl(nGC_871)
      coupl(nGC_1100) = -coupl(nGC_22)*dZWMinus_QED2/2d0 - coupl(nGC_790)
      coupl(nGC_933) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0 &
                        + coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_772)
      coupl(nGC_932) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2 &
                        + coupl(nGC_40)*dZZA_QED2/2d0 + coupl(nGC_772)
      coupl(nGC_1207) = -coupl(nGC_507)
      coupl(nGC_1206) = -coupl(nGC_506)
      coupl(nGC_1187) = coupl(nGC_74)*dZsL_QED2/2d0 + coupl(nGC_74)*dZsR_QED2/ &
                        2d0 + coupl(nGC_832)
      coupl(nGC_977) = coupl(nGC_67)*dZH_QED2/2d0 + coupl(nGC_67)*             &
                       dZeMinusL_QED2/2d0 + coupl(nGC_67)*dZeMinusR_QED2/2d0 + &
                       coupl(nGC_855)
      coupl(nGC_1049) = -coupl(nGC_4)*dZWMinus_QED2/2d0 - coupl(nGC_772)
      coupl(nGC_475) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB** &
                       2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                       (nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 &
                        + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD &
                       **2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                       coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38  &
                       )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0* &
                       Nc*cMT**2d0*cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                       nGC_39)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_36)**2d0 +   &
                       2d0*cME**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima&
                       *coupl(nGC_36)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_40)** &
                       2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cMTA**&
                       2d0*cima*coupl(nGC_40)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                       nGC_168)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 -  &
                       2d0*cMW**2d0*coupl(nGC_166))/(16d0*pi**2d0)
      coupl(nGC_470) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35 &
                       ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_158)* &
                       coupl(nGC_168) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl(&
                       nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/(&
                       32d0*pi**2d0)
      coupl(nGC_471) = cima*(coupl(nGC_158)*coupl(nGC_168) + coupl(nGC_25)*    &
                       coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_472) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0* &
                       Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC&
                       **2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*&
                       cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima* &
                       coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1 &
                       )*coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*    &
                       coupl(nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(&
                       nGC_35) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39&
                       ) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) +   &
                       2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*  &
                       cME**2d0*cima*coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*    &
                       coupl(nGC_36)*coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(   &
                       nGC_4)*coupl(nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*&
                       coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(   &
                       nGC_40) + 3d0*cMW**2d0*cima*coupl(nGC_158)*coupl(nGC_168&
                       ) + 3d0*cMW**2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0* &
                       cMW**2d0*coupl(nGC_29))/(16d0*pi**2d0)
      coupl(nGC_959) = -coupl(nGC_24)*dZZA_QED2/2d0 - coupl(nGC_4)*dZA_QED2/2d0&
                        - coupl(nGC_772)
      coupl(nGC_1102) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0&
                         + coupl(nGC_38)*dZbL_QED2 + coupl(nGC_812)
      coupl(nGC_1110) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0&
                         + coupl(nGC_35)*dZcR_QED2 + coupl(nGC_810)
      coupl(nGC_715) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_75 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_55  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(  &
                       nGC_158)*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_25) +   &
                       9d0*cima*coupl(nGC_160)*coupl(nGC_168)*coupl(nGC_21)*   &
                       coupl(nGC_25) + 4d0*cima*coupl(nGC_160)*coupl(nGC_182)* &
                       coupl(nGC_184)*coupl(nGC_40) + 24d0*cima*coupl(nGC_162)*&
                       coupl(nGC_27) + 9d0*cima*coupl(nGC_168)*coupl(nGC_184)* &
                       coupl(nGC_25)*coupl(nGC_37) + 4d0*cima*coupl(nGC_170)*  &
                       coupl(nGC_174)**2d0*coupl(nGC_40) + 4d0*cima*coupl(     &
                       nGC_170)*coupl(nGC_174)*coupl(nGC_182)*coupl(nGC_22) +  &
                       4d0*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_22)*   &
                       coupl(nGC_37) + 4d0*cima*coupl(nGC_170)*coupl(nGC_22)** &
                       2d0*coupl(nGC_40) + 4d0*cima*coupl(nGC_182)**2d0*coupl( &
                       nGC_21)*coupl(nGC_40) + 24d0*cima*coupl(nGC_19)*coupl(  &
                       nGC_8) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(   &
                       nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83) - 16d0&
                       *cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*coupl(  &
                       nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(  &
                       nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67) - 16d0&
                       *cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)*coupl(  &
                       nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(  &
                       nGC_81)*coupl(nGC_83) - 6d0*coupl(nGC_158)*coupl(nGC_164&
                       )*coupl(nGC_8) - 6d0*coupl(nGC_158)*coupl(nGC_21)*coupl(&
                       nGC_42) - 6d0*coupl(nGC_160)*coupl(nGC_168)*coupl(nGC_8 &
                       ) - 6d0*coupl(nGC_160)*coupl(nGC_19)*coupl(nGC_21) - 6d0&
                       *coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_21) - 6d0*coupl&
                       (nGC_168)*coupl(nGC_17)*coupl(nGC_21) - 6d0*coupl(      &
                       nGC_168)*coupl(nGC_21)*coupl(nGC_45) + 36d0*coupl(      &
                       nGC_168)*coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(nGC_168&
                       )*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_17)*coupl( &
                       nGC_21)*coupl(nGC_25) + 6d0*coupl(nGC_170)*coupl(nGC_174&
                       )*coupl(nGC_8) + 6d0*coupl(nGC_170)*coupl(nGC_22)*coupl(&
                       nGC_9) + 6d0*coupl(nGC_182)*coupl(nGC_40)*coupl(nGC_9   &
                       ) - 6d0*coupl(nGC_184)*coupl(nGC_19)*coupl(nGC_37) - 6d0&
                       *coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_46) - 6d0*coupl( &
                       nGC_25)*coupl(nGC_37)*coupl(nGC_9))/(192d0*pi**2d0)
      coupl(nGC_714) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_56) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_64) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_60) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_56) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_76 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_56  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_76  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_88) + 9d0*cima*coupl(  &
                       nGC_158)*coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_25) +  &
                       9d0*cima*coupl(nGC_160)*coupl(nGC_168)*coupl(nGC_184)*  &
                       coupl(nGC_25) + 4d0*cima*coupl(nGC_160)*coupl(nGC_21)*  &
                       coupl(nGC_37)*coupl(nGC_40) + 24d0*cima*coupl(nGC_162)* &
                       coupl(nGC_28) + 9d0*cima*coupl(nGC_168)*coupl(nGC_182)* &
                       coupl(nGC_21)*coupl(nGC_25) + 4d0*cima*coupl(nGC_174)** &
                       2d0*coupl(nGC_22)*coupl(nGC_40) + 4d0*cima*coupl(nGC_174&
                       )*coupl(nGC_182)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(   &
                       nGC_174)*coupl(nGC_22)**2d0*coupl(nGC_37) + 4d0*cima*   &
                       coupl(nGC_184)*coupl(nGC_37)**2d0*coupl(nGC_40) + 24d0* &
                       cima*coupl(nGC_19)*coupl(nGC_9) + 4d0*cima*coupl(nGC_22 &
                       )**3d0*coupl(nGC_40) + 20d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_36)*coupl(nGC_65)*coupl(nGC_68) + 20d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_72) + 20d0&
                       *cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(  &
                       nGC_84) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(  &
                       nGC_65)*coupl(nGC_68) - 16d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_40)*coupl(nGC_69)*coupl(nGC_72) - 16d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_84) - 16d0&
                       *cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(  &
                       nGC_68) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(  &
                       nGC_69)*coupl(nGC_72) - 16d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_41)*coupl(nGC_81)*coupl(nGC_84) - 6d0*coupl(nGC_158 &
                       )*coupl(nGC_164)*coupl(nGC_9) - 6d0*coupl(nGC_158)*coupl&
                       (nGC_184)*coupl(nGC_42) - 6d0*coupl(nGC_160)*coupl(     &
                       nGC_168)*coupl(nGC_9) - 6d0*coupl(nGC_160)*coupl(nGC_184&
                       )*coupl(nGC_19) - 6d0*coupl(nGC_162)*coupl(nGC_164)*    &
                       coupl(nGC_184) - 6d0*coupl(nGC_168)*coupl(nGC_17)*coupl(&
                       nGC_184) - 6d0*coupl(nGC_168)*coupl(nGC_184)*coupl(     &
                       nGC_45) + 36d0*coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_9 &
                       ) + 36d0*coupl(nGC_168)*coupl(nGC_28)*coupl(nGC_3) - 6d0&
                       *coupl(nGC_17)*coupl(nGC_184)*coupl(nGC_25) + 6d0*coupl(&
                       nGC_174)*coupl(nGC_22)*coupl(nGC_8) - 6d0*coupl(nGC_182 &
                       )*coupl(nGC_19)*coupl(nGC_21) - 6d0*coupl(nGC_182)*coupl&
                       (nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_184)*coupl(nGC_25 &
                       )*coupl(nGC_46) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_9) + &
                       6d0*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_8))/(192d0*pi &
                       **2d0)
      coupl(nGC_1196) = -coupl(nGC_898) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_945) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0 &
                        + coupl(nGC_39)*dZuL_QED2 + coupl(nGC_811)
      coupl(nGC_947) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0 &
                        + coupl(nGC_35)*dZuR_QED2 + coupl(nGC_810)
      coupl(nGC_747) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 3d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 30d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_1139) = coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(nGC_62)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_831)
      coupl(nGC_1138) = coupl(nGC_62)*dZdL_QED2/2d0 + coupl(nGC_62)*dZdR_QED2/ &
                        2d0 + coupl(nGC_830)
      coupl(nGC_1042) = -coupl(nGC_896) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1014) = coupl(nGC_858) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(  &
                        nGC_86)*dZuR_QED2/2d0
      coupl(nGC_1015) = coupl(nGC_859) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(  &
                        nGC_86)*dZuR_QCD2/2d0
      coupl(nGC_1116) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZsR_QED2 + coupl(nGC_813)
      coupl(nGC_1114) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0&
                         + coupl(nGC_38)*dZsL_QED2 + coupl(nGC_812)
      coupl(nGC_1135) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0 + coupl( &
                        nGC_772)
      coupl(nGC_1134) = -coupl(nGC_25)*dZZ_QED2/2d0 - coupl(nGC_3)*dZAZ_QED2/  &
                        2d0 - coupl(nGC_768)
      coupl(nGC_1136) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_772)
      coupl(nGC_980) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_59)*dZcL_QED2/2d0&
                        + coupl(nGC_59)*dZcR_QED2/2d0 + coupl(nGC_872)
      coupl(nGC_981) = coupl(nGC_59)*dZcL_QCD2/2d0 + coupl(nGC_59)*dZcR_QCD2/  &
                       2d0 + coupl(nGC_873)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
