!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_982) = -4d0*coupl(nGC_18)*dZWMinus_QED2 - 2d0*coupl(nGC_769)
      coupl(nGC_983) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_769)
      coupl(nGC_1193) = -coupl(nGC_4)*dZA_QED2/2d0 - coupl(nGC_40)*dZZA_QED2/  &
                        2d0 - coupl(nGC_772)
      coupl(nGC_909) = -2d0*coupl(nGC_19)*dZWMinus_QED2 - 2d0*coupl(nGC_19)*   &
                       dZZ_QED2 + coupl(nGC_29)*dZAZ_QED2 - 2d0*coupl(nGC_771)
      coupl(nGC_1034) = coupl(nGC_66)*dZeMinusL_QED2/2d0 + coupl(nGC_66)*      &
                        dZeMinusR_QED2/2d0 + coupl(nGC_850)
      coupl(nGC_1036) = coupl(nGC_82)*dZtauMinusL_QED2/2d0 + coupl(nGC_82)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_853)
      coupl(nGC_1037) = coupl(nGC_84)*dZtauMinusL_QED2/2d0 + coupl(nGC_84)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_854)
      coupl(nGC_1051) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_40)*dZZA_QED2/2d0&
                         + coupl(nGC_772)
      coupl(nGC_908) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 -  &
                       coupl(nGC_29)*dZAZ_QED2/2d0 + coupl(nGC_771)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
