!******************************************************************************!
!                                                                              !
!    ctparameter96.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter96.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter96
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter96()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten216*coupl(nGC_1)**2d0 + Ten217*(2d0*coupl(nGC_34)**2d0 &
                 + coupl(nGC_74)*coupl(nGC_76)) + Ten218*coupl(nGC_73)**2d0 -  &
                Ten219*coupl(nGC_75)**2d0 + 2d0*Ten220*coupl(nGC_1)**2d0 +     &
                Ten221*(2d0*coupl(nGC_34)**2d0 + coupl(nGC_74)*coupl(nGC_76    &
                )) + Ten222*coupl(nGC_73)**2d0 + 2d0*Ten224*cMS**2d0*coupl(    &
                nGC_75)**2d0 - 4d0*Ten225*cMS**2d0*coupl(nGC_1)**2d0 + Ten226* &
                cMS**2d0*(2d0*coupl(nGC_34)**2d0 - 8d0*coupl(nGC_34)*coupl(    &
                nGC_38) + 2d0*coupl(nGC_38)**2d0 + coupl(nGC_74)**2d0 + 2d0*   &
                coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_76)**2d0) + Ten227*cMS &
                *(2d0*cMC*coupl(nGC_57)*coupl(nGC_73) + 2d0*cMS*coupl(nGC_23)**&
                2d0 + cMS*coupl(nGC_57)**2d0 + cMS*coupl(nGC_73)**2d0) - 2d0*  &
                Ten228*cMS**2d0*coupl(nGC_75)**2d0 + 4d0*Ten229*cMS**2d0*coupl(&
                nGC_1)**2d0 + 2d0*Ten230*cMS**2d0*(coupl(nGC_34)**2d0 + coupl( &
                nGC_38)**2d0 + coupl(nGC_74)*coupl(nGC_76)) + Ten231*cMS**2d0*(&
                2d0*coupl(nGC_23)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_73)**  &
                2d0) - coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter96
end module ctparameter96
